
#include "GapiDraw.h"
#include "GapiApplication.h"

class Sprite
{
public:
	Sprite();
	DWORD X_Pos;
	DWORD Y_Pos;
	DWORD last_direction;
	DWORD X_Disp;
	DWORD Y_Disp;
	CGapiSurface *bitmap;
	CGapiSurface *explosion_bitmap; // used when sprite is sleeping
	CGapiSurface *dead_bitmap;  // used when sprite is dead/sleeping
	DWORD status; // 0 = alive, 1 = exploding, 2 = dead/sleeping
	DWORD deadtime; // number of frames since collision
};

Sprite::Sprite()
{
	X_Pos = 0;
	Y_Pos = 0;
	last_direction = 0;
	X_Disp = 0;
	Y_Disp = 0;
	status = 0;
	deadtime = 0;
}
